Project Chrono: MaterialParameters Struct Reference

Public Attributes | List of all members
MaterialParameters Struct Reference
SENSOR module » OptiX-Based Code

## Description

All parameters for specifying a material in optix.

`#include <ChOptixDefinitions.h>`

## Public Attributes
float3 | Kd
| the diffuse color // size 12
float3 | Ks
| the specular color // size 12
float3 | Ke
float | anisotropy
| < the emissive color // size 12>
float | fresnel_exp
| the fresnel exponent // size 4
float | fresnel_min
| the minimum fresnel value (0-1) // size 4
float | fresnel_max
| maximum fresnel value (0-1) // size 4
float | transparency
| transparency value (0-1) // size 4
float | roughness
| roughness value (0-1) // size 4
float | metallic
| metallic value (0-1) // size 4
float | lidar_intensity
| reflectivity in a lidar's wavelength (0-1) // size 4
float | radar_backscatter
| reflectivity in a radar's wavelength (0-1) // size 4
int | use_specular_workflow
| toggle between a specular workflow or a metallic/roughness PBR workflow // size 4
cudaTextureObject_t | kd_tex
| a diffuse color texture // size 8
cudaTextureObject_t | kn_tex
| a normal perterbation texture // size 8
cudaTextureObject_t | ks_tex
| a specular color texture // size 8
cudaTextureObject_t | ke_tex
cudaTextureObject_t | metallic_tex
| a metalic color texture // size 8
cudaTextureObject_t | roughness_tex
| a roughness texture // size 8
cudaTextureObject_t | opacity_tex
| an opacity texture // size 8
cudaTextureObject_t | weight_tex
| a weight texture for blended textures // size 8
float2 | tex_scale
| texture scaling // size 8
unsigned short int | class_id
| a class id of an object // size 2
unsigned short int | instance_id
| an instance id of an object // size 2
int | use_hapke
float | emissive_power
float | w
float | b
float | c
float | B_s0
float | h_s
float | phi
float | theta_p
float3 | pad

## Member Data Documentation

## ◆ anisotropy

float MaterialParameters::anisotropy

< the emissive color // size 12>

the anisotropic value of material (0-1) // size 4

The documentation for this struct was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono_sensor/optix/ChOptixDefinitions.h